org.apache.ode.bpel.elang.xquery10.runtime

## Class XQuery10ExpressionRuntime

- java.lang.Object
- - org.apache.ode.bpel.elang.xquery10.runtime.XQuery10ExpressionRuntime

- All Implemented Interfaces:
    ExpressionLanguageRuntime

      public class XQuery10ExpressionRuntime
      extends java.lang.Object
      implements ExpressionLanguageRuntime

  XQuery 1.0 Expression Language run-time subsytem. Saxon implementation.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XQuery10ExpressionRuntime()` Creates a new XQuery10ExpressionRuntime object.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.util.List` | `evaluate(OExpression cexp, EvaluationContext ctx)`
    `boolean` | `evaluateAsBoolean(OExpression cexp, EvaluationContext ctx)`
    `java.util.Calendar` | `evaluateAsDate(OExpression cexp, EvaluationContext context)` Evaluate expression and return a date
    `Duration` | `evaluateAsDuration(OExpression cexp, EvaluationContext context)` Evaluate expression and return duration
    `java.lang.Number` | `evaluateAsNumber(OExpression cexp, EvaluationContext ctx)` Evaluate expression and return a number
    `java.lang.String` | `evaluateAsString(OExpression cexp, EvaluationContext ctx)`
    `org.w3c.dom.Node` | `evaluateNode(OExpression cexp, EvaluationContext ctx)` Evaluate expression and return a node
    `void` | `initialize(java.util.Map properties)` Initialize XSL Transformer

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XQuery10ExpressionRuntime

          public XQuery10ExpressionRuntime()

      Creates a new XQuery10ExpressionRuntime object.

  - ### Method Detail

    - #### initialize

          public void initialize(java.util.Map properties)
                          throws ConfigurationException

      Initialize XSL Transformer
      Specified by:
        `initialize` in interface `ExpressionLanguageRuntime`
      Parameters:
        `properties` - properties
      Throws:
        `ConfigurationException` - ConfigurationException

    - #### evaluateAsString

          public java.lang.String evaluateAsString(OExpression cexp,
                                                   EvaluationContext ctx)
                                            throws FaultException,
                                                   EvaluationException

      Specified by:
        `evaluateAsString` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluateAsString(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateAsBoolean

          public boolean evaluateAsBoolean(OExpression cexp,
                                           EvaluationContext ctx)
                                    throws FaultException,
                                           EvaluationException

      Specified by:
        `evaluateAsBoolean` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluateAsBoolean(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateAsNumber

          public java.lang.Number evaluateAsNumber(OExpression cexp,
                                                   EvaluationContext ctx)
                                            throws FaultException,
                                                   EvaluationException

      Evaluate expression and return a number
      Specified by:
        `evaluateAsNumber` in interface `ExpressionLanguageRuntime`
      Parameters:
        `cexp` - cexp
        `ctx` - ctx
      Returns:
        type
      Throws:
        `FaultException` - FaultException
        `EvaluationException` - EvaluationException

    - #### evaluate

          public java.util.List evaluate(OExpression cexp,
                                         EvaluationContext ctx)
                                  throws FaultException,
                                         EvaluationException

      Specified by:
        `evaluate` in interface `ExpressionLanguageRuntime`
      Throws:
        `FaultException`
        `EvaluationException`
      See Also:
        `ExpressionLanguageRuntime.evaluate(org.apache.ode.bpel.o.OExpression, org.apache.ode.bpel.explang.EvaluationContext)`

    - #### evaluateNode

          public org.w3c.dom.Node evaluateNode(OExpression cexp,
                                               EvaluationContext ctx)
                                        throws FaultException,
                                               EvaluationException

      Evaluate expression and return a node
      Specified by:
        `evaluateNode` in interface `ExpressionLanguageRuntime`
      Parameters:
        `cexp` - cexp
        `ctx` - ctx
      Returns:
        type
      Throws:
        `FaultException` - FaultException
        `EvaluationException` - EvaluationException

    - #### evaluateAsDate

          public java.util.Calendar evaluateAsDate(OExpression cexp,
                                                   EvaluationContext context)
                                            throws FaultException,
                                                   EvaluationException

      Evaluate expression and return a date
      Specified by:
        `evaluateAsDate` in interface `ExpressionLanguageRuntime`
      Parameters:
        `cexp` - cexp
        `context` - context
      Returns:
        type
      Throws:
        `FaultException` - FaultException
        `EvaluationException` - EvaluationException

    - #### evaluateAsDuration

          public Duration evaluateAsDuration(OExpression cexp,
                                             EvaluationContext context)
                                      throws FaultException,
                                             EvaluationException

      Evaluate expression and return duration
      Specified by:
        `evaluateAsDuration` in interface `ExpressionLanguageRuntime`
      Parameters:
        `cexp` - cexp
        `context` - context
      Returns:
        type
      Throws:
        `FaultException` - FaultException
        `EvaluationException` - EvaluationException